Package org.drinkless.tdlib

# Class TdApi.FoundFileDownloads

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.FoundFileDownloads

Enclosing class:
  TdApi

public static class TdApi.FoundFileDownloads extends TdApi.Object
Contains a list of downloaded files, found by a search.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.FileDownload[]`
  `files`
  The list of files.
  `String`
  `nextOffset`
  The offset for the next request.
  `TdApi.DownloadedFileCounts`
  `totalCounts`
  Total number of suitable files, ignoring offset.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FoundFileDownloads()`
  Contains a list of downloaded files, found by a search.
  `FoundFileDownloads(TdApi.DownloadedFileCounts totalCounts, TdApi.FileDownload[] files, String nextOffset)`
  Contains a list of downloaded files, found by a search.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### totalCounts

    public TdApi.DownloadedFileCounts totalCounts
    Total number of suitable files, ignoring offset.

  - ### files

    public TdApi.FileDownload[] files
    The list of files.

  - ### nextOffset

    public String nextOffset
    The offset for the next request. If empty, then there are no more results.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FoundFileDownloads

    public FoundFileDownloads()
    Contains a list of downloaded files, found by a search.

  - ### FoundFileDownloads

    public FoundFileDownloads(TdApi.DownloadedFileCounts totalCounts, TdApi.FileDownload[] files, String nextOffset)
    Contains a list of downloaded files, found by a search.
    Parameters:
      `totalCounts` - Total number of suitable files, ignoring offset.
      `files` - The list of files.
      `nextOffset` - The offset for the next request. If empty, then there are no more results.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR